apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
- ../../dev-cluster
namespace: ovhcloud
configMapGenerator:
  - name: catalog-configuration
    literals:
      - LOG_LEVEL=DEBUG
      - ENVIRONMENT=DEV
      - REDIS_PUB_SUB_HOST=redis://redis-server.abc-federation.svc.cluster.local:6379/1
      - REDIS_HOST=redis://redis-server:6379/0
      - PARTICIPANT_NAME=ovhcloud
      - PARENT_DOMAIN=provider.dev.gaiax.ovh
      - PARTICIPANT_AGENT_HOST=participant-agent
patches:
  - patch: |-
      - op: replace
        path: "/spec/rules/0/host"
        value: "catalogue-api.ovhcloud.dev.gaiax.ovh"
    target:
      kind: Ingress
      name: catalogue-api
  - patch: |-
      - op: replace
        path: "/spec/tls/0/hosts"
        value: ["catalogue-api.ovhcloud.dev.gaiax.ovh"]
    target:
      kind: Ingress
      name: catalogue-api
  - patch: |-
      - op: replace
        path: "/spec/tls/0/secretName"
        value: "ingress-catalogue-api-tls"
    target:
      kind: Ingress
      name: catalogue-api
  - patch: |-
      - op: replace
        path: /metadata/name
        value: "ovhcloud-redis-pvc"
    target:
      kind: PersistentVolumeClaim
      name: redis-pvc
